StarObjectChart Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
StarObjectChart Class Reference

the main class to read a StarOffice chart More...

`#include <StarObjectChart.hxx>`

Inheritance diagram for StarObjectChart:

## Public Member Functions
| StarObjectChart (StarObject const &orig, bool duplicateState)
| constructor
| ~StarObjectChart () override
| destructor
bool | parse ()
| try to parse the current object
bool | send (STOFFListenerPtr listener, STOFFFrameStyle const &frame, STOFFGraphicStyle const &style=STOFFGraphicStyle())
| try to send a object to the listener
Public Member Functions inherited from StarObject
| StarObject (char const *passwd, std::shared_ptr< STOFFOLEParser > &oleParser, std::shared_ptr< STOFFOLEParser::OleDirectory > &directory)
| constructor
virtual | ~StarObject ()
| destructor
bool | parse ()
| try to parse data
STOFFDocument::Kind | getDocumentKind () const
| returns the document kind
char const * | getPassword () const
| returns the document password (the password given by the user)
std::shared_ptr< STOFFOLEParser::OleDirectory > | getOLEDirectory ()
| returns the object directory
std::shared_ptr< StarAttributeManager > | getAttributeManager ()
| returns the attribute manager
std::shared_ptr< StarFormatManager > | getFormatManager ()
| returns the format manager
librevenge::RVNGPropertyList const & | getMetaData () const
| returns the meta data (filled by readSfxDocumentInformation)
librevenge::RVNGString | getUserNameMetaData (int i) const
| returns the ith user meta data
void | cleanPools ()
| clean each pool
std::shared_ptr< StarItemPool > | getNewItemPool (StarItemPool::Type type)
| returns a new item pool for this document
std::shared_ptr< StarItemPool > | findItemPool (StarItemPool::Type type, bool isInside)
| check if a pool corresponding to a given type is opened if so returned it.
std::shared_ptr< StarItemPool > | getCurrentPool (bool onlyInside=true)
| returns the current all/inside pool
bool | readPersistData (StarZone &zone, long endPos)
| try to read persist data
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &name)
| try to read a spreadshet style zone: SfxStyleSheets
bool | readItemSet (StarZone &zone, std::vector< STOFFVec2i > const &limits, long endPos, StarItemSet &itemSet, StarItemPool *pool=nullptr, bool isDirect=false)
| try to read a list of item

## Protected Member Functions
bool | readChartDocument (STOFFInputStreamPtr input, std::string const &fileName)
| try to read a chart zone: StarChartDocument .sds
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &fileName)
| try to read a chart style zone: SfxStyleSheets
bool | readSCHAttributes (StarZone &zone)
| try to read the chart attributes
bool | readSCHMemChart (StarZone &zone)
| try to read the memchart data
Protected Member Functions inherited from StarObject
bool | readPersistElements (STOFFInputStreamPtr input, std::string const &name)
| the "persist elements" small ole: the list of object
bool | readSfxDocumentInformation (STOFFInputStreamPtr input, std::string const &name)
| try to read the document information : "SfxDocumentInformation"
bool | readSfxPreview (STOFFInputStreamPtr input, std::string const &name)
| try to read the preview : "SfxPreview"
bool | readSfxWindows (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the windows information : "SfxWindows"
bool | readStarFrameworkConfigFile (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the "Star Framework Config File"
bool | readStarFrameworkConfigItem (STOFFEntry &entry, STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read an item in a "Star Framework Config File"
| StarObject (StarObject const &orig, bool duplicateState)
| copy constructor

## Protected Attributes
std::shared_ptr< StarObjectChartInternal::State > | m_chartState
| the state
Protected Attributes inherited from StarObject
char const * | m_password
| the document password
std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser
std::shared_ptr< STOFFOLEParser::OleDirectory > | m_directory
| the directory
std::shared_ptr< StarObjectInternal::State > | m_state
| the state
librevenge::RVNGPropertyList | m_metaData
| the meta data

## Detailed Description

the main class to read a StarOffice chart

## Constructor & Destructor Documentation

## ◆ StarObjectChart()

StarObjectChart::StarObjectChart | ( | StarObject const & | orig,
|  | bool | duplicateState )

constructor

## ◆ ~StarObjectChart()

StarObjectChart::~StarObjectChart | ( |  | ) |
| override

destructor

## Member Function Documentation

## ◆ parse()

bool StarObjectChart::parse | ( |  | ) |

try to parse the current object

Referenced by StarFileManager::checkUnparsed(), and SDXParser::createZones().

## ◆ readChartDocument()

bool StarObjectChart::readChartDocument | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName )
| protected

try to read a chart zone: StarChartDocument .sds

Referenced by parse().

## ◆ readSCHAttributes()

bool StarObjectChart::readSCHAttributes | ( | StarZone & | zone | ) |
| protected

try to read the chart attributes

Referenced by readChartDocument().

## ◆ readSCHMemChart()

bool StarObjectChart::readSCHMemChart | ( | StarZone & | zone | ) |
| protected

try to read the memchart data

Referenced by readSCHAttributes().

## ◆ readSfxStyleSheets()

bool StarObjectChart::readSfxStyleSheets | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName )
| protected

try to read a chart style zone: SfxStyleSheets

Referenced by parse().

## ◆ send()

bool StarObjectChart::send | ( | STOFFListenerPtr | listener,
|  | STOFFFrameStyle const & | frame,
|  | STOFFGraphicStyle const & | style = STOFFGraphicStyle() )

try to send a object to the listener

## Member Data Documentation

## ◆ m_chartState

std::shared_ptr<StarObjectChartInternal::State> StarObjectChart::m_chartState
| protected

the state

Referenced by readChartDocument(), send(), and StarObjectChart().

The documentation for this class was generated from the following files:

- StarObjectChart.hxx
- StarObjectChart.cxx